#ifndef _API_DEVICE_H
#define _API_DEVICE_H

enum {
    DEV_USBPC           = 0,
    DEV_TOTAL_NUM,
};

typedef enum {
    USB_BUS_EVENT_NONE          = 0,
    USB_BUS_EVENT_DISCONNECT,
    USB_BUS_EVENT_CONNECT
} USB_BUS_EVENT_TYPEDEF;


void dev_init(u8 online_cnt, u8 offline_cnt);
bool dev_is_online(u16 dev_num);
bool dev_online_filter(u16 dev_num);
bool dev_offline_filter(u16 dev_num);
void dev_delay_times(u8 dev_num, u8 times);          //同时设置, online去抖延时 和 offline 去抖延时, 它们的延时一样的,兼容以前.
void dev_delay_online_times(u8 dev_num, u8 times);   //单独设置online去抖延时(新增).
void dev_delay_offline_times(u8 dev_num, u8 times);  //单独设置offline 去抖延时.(新增)
void dev_clr_sta(u8 dev_num);

USB_BUS_EVENT_TYPEDEF usb_bus_event_check(void);

#endif // _API_DEVICE_H
